Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.conf
Class MetaDataCacheMaintenance

    java.lang.Object
      org.apache.openjpa.conf.MetaDataCacheMaintenance

    public class MetaDataCacheMaintenance

extends Object

Performs maintenance tasks on the metadata caches accessible via the `CacheMarshaller` architecture.

Since:
  1.1.0

Constructor Summary
`MetaDataCacheMaintenance(BrokerFactory factory, boolean devpath)`
`MetaDataCacheMaintenance(BrokerFactory factory, boolean devpath, boolean verbose)` Deprecated. logging is routed to the logging system now.

Method Summary
`void` | `dump()`
`static void` | `main(String[] args)`
`void` | `setLog(Log log)`
`void` | `store()` The metadata repository for the factory that this instance was constructed with will be serialized, along with any query compilations etc.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaDataCacheMaintenance

    public MetaDataCacheMaintenance(BrokerFactory factory,
                                    boolean devpath,
                                    boolean verbose)

  Deprecated. logging is routed to the logging system now.

### MetaDataCacheMaintenance

    public MetaDataCacheMaintenance(BrokerFactory factory,
                                    boolean devpath)

Parameters:
  `factory` - The `BrokerFactory` for which cached metadata should be built.
  `devpath` - Whether or not to scan the development environment paths to find persistent types to store.

Method Detail

### main

    public static void main(String[] args)

### setLog

    public void setLog(Log log)

### store

    public void store()

  The metadata repository for the factory that this instance was constructed with will be serialized, along with any query compilations etc. that have been created for the factory.

### dump

    public void dump()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.